CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities (CSRF)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
851 CVE-2017-8874 352 CSRF 2017-05-10 2017-05-17
6.8
None Remote Medium Not required Partial Partial Partial
Multiple cross-site request forgery (CSRF) vulnerabilities in Mautic 1.4.1 allow remote attackers to hijack the authentication of users for requests that (1) delete email campaigns or (2) delete contacts.
852 CVE-2017-8868 22 Dir. Trav. CSRF 2017-05-10 2017-05-17
5.0
None Remote Low Not required None None Partial
acp/core/files.browser.php in flatCore 1.4.7 allows file deletion via directory traversal in the delete parameter to acp/acp.php. The risk might be limited to requests submitted through CSRF.
853 CVE-2017-8848 352 CSRF 2017-05-08 2017-05-16
4.3
None Remote Medium Not required None Partial None
Allen Disk 1.6 has CSRF in setpass.php with an impact of changing a password.
854 CVE-2017-8836 352 Exec Code CSRF 2017-06-05 2017-08-12
6.8
None Remote Medium Not required Partial Partial Partial
CSRF exists on Peplink Balance 305, 380, 580, 710, 1350, and 2500 devices with firmware before fw-b305hw2_380hw6_580hw2_710hw3_1350hw2_2500-7.0.1-build2093. The CGI scripts in the administrative interface are affected. This allows an attacker to execute commands, if a logged in user visits a malicious website. This can for example be used to change the credentials of the administrative webinterface.
855 CVE-2017-8407 352 CSRF 2019-07-02 2019-07-09
6.8
None Remote Medium Not required Partial Partial Partial
An issue was discovered on D-Link DCS-1130 devices. The device provides a user with the capability of changing the administrative password for the web management interface. It seems that the device does not implement any cross-site request forgery protection mechanism which allows an attacker to trick a user who is logged in to the web management interface to change the user's password.
856 CVE-2017-8382 352 CSRF 2017-05-16 2017-06-04
3.5
None Remote Medium Single system None None Partial
admidio 3.2.8 has CSRF in adm_program/modules/members/members_function.php with an impact of deleting arbitrary user accounts.
857 CVE-2017-8328 352 CSRF 2019-06-18 2019-06-21
9.3
None Remote Medium Not required Complete Complete Complete
An issue was discovered on Securifi Almond, Almond+, and Almond 2015 devices with firmware AL-R096. The device provides a user with the capability of changing the administrative password for the web management interface. It seems that the device does not implement any cross site request forgery protection mechanism which allows an attacker to trick a user who is logged in to the web management interface to change a user's password. Also this is a systemic issue.
858 CVE-2017-8138 352 CSRF 2017-11-22 2017-12-08
6.8
None Remote Medium Not required Partial Partial Partial
HedEx Earlier than V200R006C00 versions has a cross-site request forgery (CSRF) vulnerability. An attacker could trick a user into accessing a website containing malicious scripts which may tamper with configurations and interrupt normal services.
859 CVE-2017-8101 352 CSRF 2017-04-24 2017-04-27
6.8
None Remote Medium Not required Partial Partial Partial
There is CSRF in Serendipity 2.0.5, allowing attackers to install any themes via a GET request.
860 CVE-2017-8100 352 CSRF 2017-04-24 2017-05-02
4.3
None Remote Medium Not required None Partial None
There is CSRF in the CopySafe Web Protection plugin before 2.6 for WordPress, allowing attackers to change plugin settings.
861 CVE-2017-8099 352 CSRF 2017-04-24 2017-04-28
5.8
None Remote Medium Not required None Partial Partial
There is CSRF in the WHIZZ plugin before 1.1.1 for WordPress, allowing attackers to delete any WordPress users and change the plugin's status via a GET request.
862 CVE-2017-8098 352 CSRF 2017-04-24 2017-04-29
4.3
None Remote Medium Not required None Partial None
e107 2.1.4 is vulnerable to cross-site request forgery in plugin-installing, meta-changing, and settings-changing. A malicious web page can use forged requests to make e107 download and install a plug-in provided by the attacker.
863 CVE-2017-8082 352 DoS CSRF 2017-04-24 2017-04-27
4.3
None Remote Medium Not required None None Partial
concrete5 8.1.0 has CSRF in Thumbnail Editor in the File Manager, which allows remote attackers to disable the entire installation by merely tricking an admin into viewing a malicious page involving the /tools/required/files/importers/imageeditor?fID=1&imgData= URI. This results in a site-wide denial of service making the site not accessible to any users or any administrators.
864 CVE-2017-8081 338 CSRF 2017-04-30 2019-10-02
6.8
None Remote Medium Not required Partial Partial Partial
Poor cryptographic salt initialization in admin/inc/template_functions.php in GetSimple CMS 3.3.13 allows a network attacker to escalate privileges to an arbitrary user or conduct CSRF attacks via calculation of a session cookie or CSRF nonce.
865 CVE-2017-7990 352 XSS CSRF 2017-04-20 2017-04-26
6.8
None Remote Medium Not required Partial Partial Partial
The Reporting Module 1.12.0 for OpenMRS allows CSRF attacks with resultant XSS, in which administrative authentication is hijacked to insert JavaScript into a name field in webapp/reports/manageReports.jsp.
866 CVE-2017-7969 352 CSRF 2017-09-25 2017-09-29
6.8
None Remote Medium Not required Partial Partial Partial
A cross-site request forgery vulnerability exists on the Secure Gateway component of Schneider Electric's PowerSCADA Anywhere v1.0 redistributed with PowerSCADA Expert v8.1 and PowerSCADA Expert v8.2 and Citect Anywhere version 1.0 for multiple state-changing requests. This type of attack requires some level of social engineering in order to get a legitimate user to click on or access a malicious link/site containing the CSRF attack.
867 CVE-2017-7951 352 CSRF 2017-04-20 2017-04-24
6.8
None Remote Medium Not required Partial Partial Partial
WonderCMS before 2.0.3 has CSRF because of lack of a token in an unspecified context.
868 CVE-2017-7926 352 CSRF 2017-08-25 2019-10-09
6.8
None Remote Medium Not required Partial Partial Partial
A Cross-Site Request Forgery issue was discovered in OSIsoft PI Web API versions prior to 2017 (1.9.0). The vulnerability allows cross-site request forgery (CSRF) attacks to occur when an otherwise-unauthorized cross-site request is sent from a browser the server has previously authenticated.
869 CVE-2017-7917 352 CSRF 2017-05-29 2019-10-09
6.8
None Remote Medium Not required Partial Partial Partial
A Cross-Site Request Forgery issue was discovered in Moxa OnCell G3110-HSPA Version 1.3 build 15082117 and previous versions, OnCell G3110-HSDPA Version 1.2 Build 09123015 and previous versions, OnCell G3150-HSDPA Version 1.4 Build 11051315 and previous versions, OnCell 5104-HSDPA, OnCell 5104-HSPA, and OnCell 5004-HSPA. The application does not sufficiently verify if a request was intentionally provided by the user who submitted the request, which could allow an attacker to modify the configuration of the device.
870 CVE-2017-7881 352 Bypass CSRF 2017-04-15 2017-04-21
6.8
None Remote Medium Not required Partial Partial Partial
BigTree CMS through 4.2.17 relies on a substring check for CSRF protection, which allows remote attackers to bypass this check by placing the required admin/developer/ URI within a query string in an HTTP Referer header. This was found in core/admin/modules/developer/_header.php and patched in core/inc/bigtree/admin.php on 2017-04-14.
871 CVE-2017-7877 352 CSRF 2017-04-14 2017-04-21
6.8
None Remote Medium Not required Partial Partial Partial
CSRF vulnerability in flatCore version 1.4.6 allows remote attackers to modify CMS configurations.
872 CVE-2017-7852 352 CSRF 2017-04-24 2017-05-08
6.8
None Remote Medium Not required Partial Partial Partial
D-Link DCS cameras have a weak/insecure CrossDomain.XML file that allows sites hosting malicious Flash objects to access and/or change the device's settings via a CSRF attack. This is because of the 'allow-access-from domain' child element set to *, thus accepting requests from any domain. If a victim logged into the camera's web console visits a malicious site hosting a malicious Flash file from another Browser tab, the malicious Flash file then can send requests to the victim's DCS series Camera without knowing the credentials. An attacker can host a malicious Flash file that can retrieve Live Feeds or information from the victim's DCS series Camera, add new admin users, or make other changes to the device. Known affected devices are DCS-933L with firmware before 1.13.05, DCS-5030L, DCS-5020L, DCS-2530L, DCS-2630L, DCS-930L, DCS-932L, and DCS-932LB1.
873 CVE-2017-7851 352 CSRF 2017-11-15 2017-12-03
6.8
None Remote Medium Not required Partial Partial Partial
D-Link DCS-936L devices with firmware before 1.05.07 have an inadequate CSRF protection mechanism that requires the device's IP address to be a substring of the HTTP Referer header.
874 CVE-2017-7666 79 XSS CSRF 2017-07-17 2017-07-19
6.8
None Remote Medium Not required Partial Partial Partial
Apache OpenMeetings 1.0.0 is vulnerable to Cross-Site Request Forgery (CSRF) attacks, XSS attacks, click-jacking, and MIME based attacks.
875 CVE-2017-7662 352 CSRF 2017-05-16 2017-07-07
6.8
None Remote Medium Not required Partial Partial Partial
Apache CXF Fediz ships with an OpenId Connect (OIDC) service which has a Client Registration Service, which is a simple web application that allows clients to be created, deleted, etc. A CSRF (Cross Style Request Forgery) style vulnerability has been found in this web application in Apache CXF Fediz prior to 1.4.0 and 1.3.2, meaning that a malicious web application could create new clients, or reset secrets, etc, after the admin user has logged on to the client registration service and the session is still active.
876 CVE-2017-7661 352 CSRF 2017-05-16 2017-07-07
6.8
None Remote Medium Not required Partial Partial Partial
Apache CXF Fediz ships with a number of container-specific plugins to enable WS-Federation for applications. A CSRF (Cross Style Request Forgery) style vulnerability has been found in the Spring 2, Spring 3, Jetty 8 and Jetty 9 plugins in Apache CXF Fediz prior to 1.4.0, 1.3.2 and 1.2.4.
877 CVE-2017-7641 352 CSRF 2018-03-08 2018-03-27
6.8
None Remote Medium Not required Partial Partial Partial
QNAP NAS application Media Streaming add-on version 421.1.0.2, 430.1.2.0, and earlier does not utilize CSRF protections.
878 CVE-2017-7635 352 CSRF 2018-06-05 2018-07-12
6.8
None Remote Medium Not required Partial Partial Partial
QNAP NAS application Proxy Server through version 1.2.0 does not utilize CSRF protections.
879 CVE-2017-7620 352 CSRF 2017-05-21 2017-07-07
4.3
None Remote Medium Not required None Partial None
MantisBT before 1.3.11, 2.x before 2.3.3, and 2.4.x before 2.4.1 omits a backslash check in string_api.php and consequently has conflicting interpretations of an initial \/ substring as introducing either a local pathname or a remote hostname, which leads to (1) arbitrary Permalink Injection via CSRF attacks on a permalink_page.php?url= URI and (2) an open redirect via a login_page.php?return= URI.
880 CVE-2017-7571 352 CSRF 2017-04-06 2017-08-15
6.0
None Remote Medium Single system Partial Partial Partial
public/rolechangeadmin in Faveo 1.9.3 allows CSRF. The impact is obtaining admin privileges.
881 CVE-2017-7557 352 CSRF 2017-08-22 2019-10-09
6.8
None Remote Medium Not required Partial Partial Partial
dnsdist version 1.1.0 is vulnerable to a flaw in authentication mechanism for REST API potentially allowing CSRF attack.
882 CVE-2017-7556 352 CSRF 2017-08-17 2019-10-09
6.8
None Remote Medium Not required Partial Partial Partial
Hawtio versions up to and including 1.5.3 are vulnerable to CSRF vulnerability allowing remote attackers to trick the user to visit their website containing a malicious script which can be submitted to hawtio server on behalf of the user.
883 CVE-2017-7491 352 CSRF 2017-05-15 2017-05-23
4.3
None Remote Medium Not required None Partial None
In Moodle 2.x and 3.x, a CSRF attack is possible that allows attackers to change the "number of courses displayed in the course overview block" configuration setting.
884 CVE-2017-7447 352 Exec Code CSRF 2017-04-05 2017-08-15
6.8
None Remote Medium Not required Partial Partial Partial
HelpDEZk 1.1.1 has CSRF in admin/home#/logos/ with an impact of remote execution of arbitrary PHP code.
885 CVE-2017-7446 352 CSRF 2017-04-05 2017-08-15
6.8
None Remote Medium Not required Partial Partial Partial
HelpDEZk 1.1.1 has CSRF in admin/home#/person/ with an impact of obtaining admin privileges.
886 CVE-2017-7431 352 CSRF 2017-05-03 2017-05-15
6.8
None Remote Medium Not required Partial Partial Partial
Novell iManager 2.7.x before 2.7 SP7 Patch 10 HF1 and NetIQ iManager 3.x before 3.0.3.1 have persistent CSRF in object management.
887 CVE-2017-7423 352 CSRF 2017-08-21 2019-10-09
6.8
None Remote Medium Not required Partial Partial Partial
A Cross-Site Request Forgery (CWE-352) vulnerability in esfadmingui in Micro Focus Enterprise Developer and Enterprise Server 2.3, 2.3 Update 1 before Hotfix 8, and 2.3 Update 2 before Hotfix 9 allows remote unauthenticated attackers to forge requests, if this component is configured. This includes creating new privileged credentials, resulting in privilege elevation (CWE-275). Note esfadmingui is not enabled by default.
888 CVE-2017-7404 352 DoS CSRF 2017-07-07 2017-07-14
6.8
None Remote Medium Not required Partial Partial Partial
On the D-Link DIR-615 before v20.12PTb04, if a victim logged in to the Router's Web Interface visits a malicious site from another Browser tab, the malicious site then can send requests to the victim's Router without knowing the credentials (CSRF). An attacker can host a page that sends a POST request to Form2File.htm that tries to upload Firmware to victim's Router. This causes the router to reboot/crash resulting in Denial of Service. An attacker may succeed in uploading malicious Firmware.
889 CVE-2017-7398 352 CSRF 2017-04-04 2017-08-15
6.8
None Remote Medium Not required Partial Partial Partial
D-Link DIR-615 HW: T1 FW:20.09 is vulnerable to Cross-Site Request Forgery (CSRF) vulnerability. This enables an attacker to perform an unwanted action on a wireless router for which the user/admin is currently authenticated, as demonstrated by changing the Security option from WPA2 to None, or changing the hiddenSSID parameter, SSID parameter, or a security-option password.
890 CVE-2017-7337 732 CSRF 2017-05-26 2019-10-02
6.4
None Remote Low Not required Partial Partial None
An improper Access Control vulnerability in Fortinet FortiPortal versions 4.0.0 and below allows an attacker to interact with unauthorized VDOMs or enumerate other ADOMs via another user's stolen session and CSRF tokens or the adomName parameter in the /fpc/sec/customer/policy/getAdomVersion request.
891 CVE-2017-7178 352 CSRF 2017-03-18 2017-11-03
6.8
None Remote Medium Not required Partial Partial Partial
CSRF was discovered in the web UI in Deluge before 1.3.14. The exploitation methodology involves (1) hosting a crafted plugin that executes an arbitrary program from its __init__.py file and (2) causing the victim to download, install, and enable this plugin.
892 CVE-2017-6918 352 CSRF 2017-03-15 2017-03-16
4.3
None Remote Medium Not required None Partial None
CSRF exists in BigTree CMS 4.2.16 with the value[#][*] parameter to the admin/settings/update/ page. The Navigation Social can be changed.
893 CVE-2017-6917 352 CSRF 2017-03-15 2017-03-16
4.3
None Remote Medium Not required None Partial None
CSRF exists in BigTree CMS 4.2.16 with the value parameter to the admin/settings/update/ page. The Colophon can be changed.
894 CVE-2017-6916 352 CSRF 2017-03-15 2017-03-16
4.3
None Remote Medium Not required None Partial None
CSRF exists in BigTree CMS 4.1.18 with the nav-social[#] parameter to the admin/settings/update/ page. The Navigation Social can be changed.
895 CVE-2017-6915 352 CSRF 2017-03-15 2017-03-16
4.3
None Remote Medium Not required None Partial None
CSRF exists in BigTree CMS 4.1.18 with the colophon parameter to the admin/settings/update/ page. The Colophon can be changed.
896 CVE-2017-6914 352 CSRF 2017-03-15 2017-03-16
5.8
None Remote Medium Not required None Partial Partial
CSRF exists in BigTree CMS 4.1.18 and 4.2.16 with the id parameter to the admin/ajax/users/delete/ page. A user can be deleted.
897 CVE-2017-6819 352 CSRF 2017-03-11 2017-07-17
4.3
None Remote Medium Not required None None Partial
In WordPress before 4.7.3, there is cross-site request forgery (CSRF) in Press This (wp-admin/includes/class-wp-press-this.php), leading to excessive use of server resources. The CSRF can trigger an outbound HTTP request for a large file that is then parsed by Press This.
898 CVE-2017-6803 352 Exec Code CSRF 2017-03-20 2017-03-23
6.8
None Remote Medium Not required Partial Partial Partial
Multiple cross-site request forgery (CSRF) vulnerabilities in the web interface in the Scheduler in SolarWinds (formerly Serv-U) FTP Voyager 16.2.0 allow remote attackers to hijack the authentication of users for requests that (1) change the admin password, (2) terminate the scheduler, or (3) possibly execute arbitrary commands via crafted requests to Admin/XML/Result.xml.
899 CVE-2017-6756 352 CSRF 2017-08-07 2019-10-09
6.8
None Remote Medium Not required Partial Partial Partial
A vulnerability in the Web UI Application of the Cisco Prime Collaboration Provisioning Tool through 12.2 could allow an unauthenticated, remote attacker to execute unwanted actions. The vulnerability is due to a lack of defense against cross-site request forgery (CSRF) attacks. An attacker could exploit this vulnerability by forcing the user's browser to perform any action authorized for that user. Cisco Bug IDs: CSCvc90280.
900 CVE-2017-6659 352 CSRF 2017-06-13 2017-07-07
6.8
None Remote Medium Not required Partial Partial Partial
A vulnerability in the web-based management interface of Cisco Prime Collaboration Assurance could allow an unauthenticated, remote attacker to conduct a cross-site request forgery (CSRF) attack and perform arbitrary actions on an affected device. More Information: CSCvc91800. Known Affected Releases: 11.5(0) 11.6.
Total number of vulnerabilities : 2521   Page : 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 (This Page)19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.